API ReferenceProducts
Products Image List
Retrieve a list of all images from a product.
Authorization
oauth2 catalogue:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: catalogue:read
Path Parameters
id*integer
A unique integer value identifying this Product.
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X GET "https://example.com/products/0/images/" \ -H "X-29next-API-Version: 2024-04-01"{ "attachment": "string", "caption": "string", "display_order": 0, "file_name": "string", "id": 0, "src": "http://example.com"}